cdac.medinfo.enums

## Enum EnumSection

- java.lang.Object
- - java.lang.Enum<EnumSection>
  - - cdac.medinfo.enums.EnumSection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumSection>

      public enum EnumSection
      extends java.lang.Enum<EnumSection>

  This class specify section name used in sections

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADVANCE_DIRECTIVE` This constant specifies Section Name of Advance Directive Section
    `ALERTS` This constant specifies Section Name of Alert Section
    `AUTHOR` This constant specifies Section Name of Author Section
    `CUSTODIAN` This constant specifies Section Name of Custodian Section
    `DOCUMENT_GENERATOR` This constant specifies Section Name of Document Generator Section
    `ENCOUNTERS` This constant specifies Section Name of Encounters Section
    `FAMILY_HISTORY` This constant specifies Section Name of Family History Section
    `FUNCTIONAL_STATUS` This constant specifies Section Name of Functional Status Section
    `HEADER` This constant specifies Section Name of Header Section
    `IMMUNIZATION` This constant specifies Section Name of Immunizations Section
    `LEGAL_AUTHENTICATOR` This constant specifies Section Name of Legal Authenticator Section
    `MEDICAL_EQUIPMENT` This constant specifies Section Name of Medical Equipment Section
    `MEDICATIONS` This constant specifies Section Name of Medications Section
    `PAYERS` This constant specifies Section Name of Payers Section
    `PLAN` This constant specifies Section Name of Plan Section
    `PROBLEMS` This constant specifies Section Name of Problems Section
    `PROCEDURES` This constant specifies Section Name of Procedures Section
    `RESULTS` This constant specifies Section Name of Results Section
    `SOCIAL_HISTORY` This constant specifies Section Name of Social History Section
    `SUMMARY_PURPOSE` This constant specifies Section Name of Summary Purpose Section
    `VITAL_SIGNS` This constant specifies Section Name of Vital Signs Section

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumSection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumSection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOCIAL_HISTORY

          public static final EnumSection SOCIAL_HISTORY

      This constant specifies Section Name of Social History Section

    - #### CUSTODIAN

          public static final EnumSection CUSTODIAN

      This constant specifies Section Name of Custodian Section

    - #### AUTHOR

          public static final EnumSection AUTHOR

      This constant specifies Section Name of Author Section

    - #### LEGAL_AUTHENTICATOR

          public static final EnumSection LEGAL_AUTHENTICATOR

      This constant specifies Section Name of Legal Authenticator Section

    - #### RESULTS

          public static final EnumSection RESULTS

      This constant specifies Section Name of Results Section

    - #### HEADER

          public static final EnumSection HEADER

      This constant specifies Section Name of Header Section

    - #### DOCUMENT_GENERATOR

          public static final EnumSection DOCUMENT_GENERATOR

      This constant specifies Section Name of Document Generator Section

    - #### ADVANCE_DIRECTIVE

          public static final EnumSection ADVANCE_DIRECTIVE

      This constant specifies Section Name of Advance Directive Section

    - #### ALERTS

          public static final EnumSection ALERTS

      This constant specifies Section Name of Alert Section

    - #### ENCOUNTERS

          public static final EnumSection ENCOUNTERS

      This constant specifies Section Name of Encounters Section

    - #### FUNCTIONAL_STATUS

          public static final EnumSection FUNCTIONAL_STATUS

      This constant specifies Section Name of Functional Status Section

    - #### IMMUNIZATION

          public static final EnumSection IMMUNIZATION

      This constant specifies Section Name of Immunizations Section

    - #### MEDICAL_EQUIPMENT

          public static final EnumSection MEDICAL_EQUIPMENT

      This constant specifies Section Name of Medical Equipment Section

    - #### MEDICATIONS

          public static final EnumSection MEDICATIONS

      This constant specifies Section Name of Medications Section

    - #### PAYERS

          public static final EnumSection PAYERS

      This constant specifies Section Name of Payers Section

    - #### PLAN

          public static final EnumSection PLAN

      This constant specifies Section Name of Plan Section

    - #### PROBLEMS

          public static final EnumSection PROBLEMS

      This constant specifies Section Name of Problems Section

    - #### PROCEDURES

          public static final EnumSection PROCEDURES

      This constant specifies Section Name of Procedures Section

    - #### SUMMARY_PURPOSE

          public static final EnumSection SUMMARY_PURPOSE

      This constant specifies Section Name of Summary Purpose Section

    - #### VITAL_SIGNS

          public static final EnumSection VITAL_SIGNS

      This constant specifies Section Name of Vital Signs Section

    - #### FAMILY_HISTORY

          public static final EnumSection FAMILY_HISTORY

      This constant specifies Section Name of Family History Section

  - ### Method Detail

    - #### values

          public static EnumSection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumSection c : EnumSection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumSection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.